% Example 10.15

% Exploratory Data Analysis with MATLAB, 2nd Edition
% Wendy L. and Angel R. Martinez and Jeff Solka

% Shows how to get plotmatrix of parallel coordinate
% plots for a the data used previously.

load example104
% This loads up the reduced BPM features using ISOMAP.
% Use the 3-D data.
X = Yiso.coords{3}';
% Find the observations for the two topics: 6 and 9.
ind6 = find(classlab==6);
ind9 = find(classlab==9);
ind17 = find(classlab==17);
ind18 = find(classlab==18);
inds = [ind6; ind9; ind17; ind18];
plotmatrixpara(X(inds,:),classlab(inds),[],...
    'BPMs ISOMAP( L_1 )')

plotmatrixandr(X(inds,:),classlab(inds))
