% Example 10.7

% Exploratory Data Analysis with MATLAB, 2nd Edition
% Wendy L. and Angel R. Martinez and Jeff Solka

% This shows the use of interactive brushing and linking. 
% Using the brushscatter function.

% Use the same oronsay columns as in Example 10.2
load oronsay
X = [oronsay(:,8),oronsay(:,9),oronsay(:,10)];
% Get the labels for these.
clabs = labcol(8:10);
% Call the function.
brushscatter(X,clabs)

% Explain the shortcut menu along diagonal axes. 
% Explain the different modes. Highted points are in red.