% Example 7.8

% Exploratory Data Analysis with MATLAB, 2nd Edition
% Wendy L. and Angel R. Martinez and Jeff Solka

% This example uses a data set called vineyard. It contains the
% grape yields in number of lugs for harvests from 1989 through 1991.
% The independent variable is the row number, and these are equally
% spaced.

% Load the data. There are two variables. 
% The independent variable is the row number.
% The dependent variable is total number of lugs.
load vineyard
yhat = smoothn(totlugcount);
plot(row, totlugcount,'o',row,yhat)
xlabel('Row Number')
ylabel('Total Number of Lugs')


