% Example 10.18

% Exploratory Data Analysis with MATLAB, 2nd Edition
% Wendy L. and Angel R. Martinez and Jeff Solka

% Example of biplot graph

load oronsay
% Do nonegative matrix factorization to 
% reduce to 2-D
[W,H] = nnmf(oronsay,2);

% Construct a scatter plot with characters given
% by marker style. This uses a function that
% is in the Statistics Toolbox.
gscatter(W(:,1),W(:,2),midden,'rgb','xo*')
hold on
biplot(max(W(:))*H','VarLabels',labcol,'positive',true)
hold off
axis([0 45 0 40])
xlabel('NNMF Column 1')
ylabel('NNMF Column 2')




