% Example 9.11
% Exploratory Data Analysis with MATLAB, 2nd Edition
% Wendy L. and Angel R. Martinez and Jeff Solka
% This example shows how to use the bagplot function.

% First we load up some data to be use in the plots.
load environmental
% Now we put the data set together.
data = [Temperature,Ozone];

% The following function was taken from the LIBRA toolbox.
% It is used here with the permission of the authors.
% See the following website for more information.
% http://wis.kuleuven.be/stat/robust/LIBRA.html
bagplot(data)
title('Bagplot of Environmental Data')
xlabel('Temperature')
ylabel('Ozone')


